## python-tooz 0.4

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0
Babel>=1.3
stevedore>=0.14
six>=1.7.0
iso8601
kazoo>=1.3.1
pymemcache>=1.2
zake>=0.1.6
sysv_ipc>=0.6.8
msgpack-python
retrying

## python-tooz 0.3

=== debian/changelog ===
python-tooz (0.3-2) unstable; urgency=medium

  * Check if memcached is started before building, start it if it isn't. Thanks
    to Lucas Nussbaum for the bug report. (Closes: #759976)

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Sep 2014 02:06:47 +0000

python-tooz (0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #758138)

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Aug 2014 21:57:41 +0800

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python-all (>= 2.6.6-3~),
               python-pbr (>= 0.6),
               python-setuptools,
               python-sphinx (>= 1.1.2),
               python3-all,
               python3-pbr (>= 0.6),
               python3-setuptools
Build-Depends-Indep: memcached,
                     net-tools,
                     python-babel (>= 1.3),
                     python-iso8601,
                     python-kazoo (>= 1.3.1),
                     python-msgpack,
                     python-oslo.config,
                     python-posix-ipc,
                     python-pymemcache (>= 1.2),
                     python-retrying,
                     python-six (>= 1.7.0),
                     python-stevedore (>= 0.14),
                     python-subunit,
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 0.9.32),
                     python-zake (>= 0.0.9),
                     python3-babel (>= 1.3),
                     python3-iso8601,
                     python3-kazoo (>= 1.3.1),
                     python3-msgpack,
                     python3-oslo.config,
                     python3-posix-ipc,
                     python3-pymemcache (>= 1.2),
                     python3-retrying,
                     python3-six (>= 1.7.0),
                     python3-stevedore (>= 0.14),
                     python3-subunit,
                     python3-testscenarios (>= 0.4),
                     python3-testtools (>= 0.9.32),
                     python3-zake (>= 0.0.9),
                     subunit,
                     testrepository (>= 0.0.17)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-tooz.git
Vcs-Git: git://anonscm.debian.org/openstack/python-tooz.git
Homepage:

Package: python-tooz
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-babel (>= 1.3),
         python-iso8601,
         python-kazoo (>= 1.3.1),
         python-msgpack,
         python-oslo.config,
         python-pbr (>= 0.6),
         python-posix-ipc,
         python-pymemcache (>= 1.2),
         python-retrying,
         python-six (>= 1.7.0),
         python-stevedore (>= 0.14),
         ${misc:Depends},
         ${python:Depends}
Description: coordination library for distributed systems - Python 2.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 2.x module.

Package: python3-tooz
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python3-babel (>= 1.3),
         python3-iso8601,
         python3-kazoo (>= 1.3.1),
         python3-msgpack,
         python3-oslo.config,
         python3-pbr (>= 0.6),
         python3-posix-ipc,
         python3-pymemcache (>= 1.2),
         python3-retrying,
         python3-six (>= 1.7.0),
         python3-stevedore (>= 0.14),
         ${misc:Depends},
         ${python3:Depends}
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

Package: python-tooz-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/<please-user>/tooz.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-tooz; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-tooz; \
	done
	rm -rf $(CURDIR)/debian/python*-tooz/usr/lib/python*/dist-packages/*.pth

#        set -e && for i in 2.7 ; do \

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	chmod +x $(CURDIR)/debian/check-memcached-off $(CURDIR)/debian/check-memcached-runs
	$(CURDIR)/debian/check-memcached-runs
	echo "===> Running tests"
	set -e ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!.*OptsTestCase.test_entry_point.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
	$(CURDIR)/debian/check-memcached-off
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build TEST_PID_MEMCACHE.pid

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-tooz-doc/usr/share/doc/python-tooz-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-tooz 0.3+repack

=== debian/changelog ===
python-tooz (0.3+repack-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 14 Oct 2014 12:20:07 -0400

python-tooz (0.3+repack-0ubuntu1) utopic; urgency=medium

  * Use upstream release tarball instead of git generated one to ensure
    that test suite can be executed on all python versions:
    - d/rules: Align to upstream method of invoking testr, tidy
      .testrepository directory on clean.
  * d/check-memcached-off: Only terminate memcached process if packaging
    wrapper actually started it.
  * d/control,py3dist-overrides: Re-enable use of python3-oslo.config.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Sep 2014 11:22:44 +0100

python-tooz (0.3-2ubuntu1) utopic; urgency=medium

  * debian/py3dist-overrides: Dont install oslo.config 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 05 Sep 2014 13:14:42 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-tooz
 Section: python
 Priority: optional
-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>,

=== debian/rules ===
--- 
+++ 
@@ -22,30 +22,20 @@
 	done
 	rm -rf $(CURDIR)/debian/python*-tooz/usr/lib/python*/dist-packages/*.pth
 
-#        set -e && for i in 2.7 ; do \
-
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	chmod +x $(CURDIR)/debian/check-memcached-off $(CURDIR)/debian/check-memcached-runs
 	$(CURDIR)/debian/check-memcached-runs
-	echo "===> Running tests"
-	set -e ; for i in 2.7 $(PYTHON3S) ; do \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+	set -ex ; for i in $(PYTHONS) $(PYTHON3S) ; do \
+		python$$i setup.py testr --slowest ; \
 		rm -rf .testrepository ; \
-		testr-python$$PYMAJOR init ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit 'tests\.(?!.*OptsTestCase.test_entry_point.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		testr-python$$PYMAJOR slowest ; \
 	done
 	$(CURDIR)/debian/check-memcached-off
 endif
 
 override_dh_clean:
 	dh_clean -O--buildsystem=python_distutils
-	rm -rf build TEST_PID_MEMCACHE.pid
+	rm -rf build TEST_PID_MEMCACHE.pid .testrepository
 
 override_dh_sphinxdoc:
 	sphinx-build -b html doc/source debian/python-tooz-doc/usr/share/doc/python-tooz-doc/html

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/t/tooz/ tooz-(.*).tar.gz

## python-tooz 0.4

=== debian/changelog ===
python-tooz (0.4-1) unstable; urgency=medium

  * New upstream release.
  * Replaced (build-)depends of python-posix-ipc by python-sysv-ipc.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Sep 2014 08:52:36 +0000

python-tooz (0.3-3) unstable; urgency=medium

  * Only kill memcached if the packaging script started it.
  * Also cleans .testrepository on clean.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Sep 2014 08:03:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-tooz
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Julien Danjou <acid@debian.org>,
            Thomas Goirand <zigo@debian.org>,
            Mehdi Abaakouk <sileht@sileht.net>,
@@ -23,29 +22,29 @@
                      python-kazoo (>= 1.3.1),
                      python-msgpack,
                      python-oslo.config,
-                     python-posix-ipc,
                      python-pymemcache (>= 1.2),
                      python-retrying,
                      python-six (>= 1.7.0),
                      python-stevedore (>= 0.14),
                      python-subunit,
+                     python-sysv-ipc,
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 0.9.32),
-                     python-zake (>= 0.0.9),
+                     python-zake (>= 0.1.6),
                      python3-babel (>= 1.3),
                      python3-iso8601,
                      python3-kazoo (>= 1.3.1),
                      python3-msgpack,
                      python3-oslo.config,
-                     python3-posix-ipc,
                      python3-pymemcache (>= 1.2),
                      python3-retrying,
                      python3-six (>= 1.7.0),
                      python3-stevedore (>= 0.14),
                      python3-subunit,
+                     python3-sysv-ipc,
                      python3-testscenarios (>= 0.4),
                      python3-testtools (>= 0.9.32),
-                     python3-zake (>= 0.0.9),
+                     python3-zake (>= 0.1.6),
                      subunit,
                      testrepository (>= 0.0.17)
 Standards-Version: 3.9.5
@@ -62,11 +61,12 @@
          python-msgpack,
          python-oslo.config,
          python-pbr (>= 0.6),
-         python-posix-ipc,
          python-pymemcache (>= 1.2),
          python-retrying,
          python-six (>= 1.7.0),
          python-stevedore (>= 0.14),
+         python-sysv-ipc,
+         python-zake (>= 0.1.6),
          ${misc:Depends},
          ${python:Depends}
 Description: coordination library for distributed systems - Python 2.x
@@ -85,11 +85,12 @@
          python3-msgpack,
          python3-oslo.config,
          python3-pbr (>= 0.6),
-         python3-posix-ipc,
          python3-pymemcache (>= 1.2),
          python3-retrying,
          python3-six (>= 1.7.0),
          python3-stevedore (>= 0.14),
+         python3-sysv-ipc,
+         python3-zake (>= 0.1.6),
          ${misc:Depends},
          ${python3:Depends}
 Description: coordination library for distributed systems - Python 3.x

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/<please-user>/tooz.git
+UPSTREAM_GIT = git://github.com/stackforge/tooz.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
@@ -22,13 +22,14 @@
 	done
 	rm -rf $(CURDIR)/debian/python*-tooz/usr/lib/python*/dist-packages/*.pth
 
+#        set -e && for i in 2.7 ; do \
+
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	chmod +x $(CURDIR)/debian/check-memcached-off $(CURDIR)/debian/check-memcached-runs
 	$(CURDIR)/debian/check-memcached-runs
 	set -ex ; for i in $(PYTHONS) $(PYTHON3S) ; do \
-		python$$i setup.py testr --slowest ; \
-		rm -rf .testrepository ; \
+		python$$i setup.py testr --slowest --testr-args='--subunit ' | subunit2pyunit; \
 	done
 	$(CURDIR)/debian/check-memcached-off
 endif

## python-tooz 0.13.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
Babel>=1.3
stevedore>=1.1.0
six>=1.9.0
iso8601>=0.1.9
kazoo>=1.3.1
pymemcache>=1.2
zake>=0.1.6 # Apache-2.0
msgpack-python>=0.4.0
retrying>=1.2.3,!=1.3.0
futures>=2.1.6
oslo.utils>=1.2.0                       # Apache-2.0
redis>=2.10.0

=== debian/changelog ===
python-tooz (0.13.1-2) unstable; urgency=medium

  * Do not test using redis-server: it seems there's issues with it.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 May 2015 11:02:28 +0200

python-tooz (0.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Reworked the way to run unit tests.
  * Running tests with MySQL and PGSQL server.
  * Also runs memcached tests.
  * Also runs redis-server tests.
  * Sets homepage.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 May 2015 07:30:13 +0000

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr,
               python3-setuptools,
Build-Depends-Indep: memcached,
                     mysql-server,
                     net-tools,
                     postgresql,
                     postgresql-server-dev-all,
                     python-babel,
                     python-concurrent.futures,
                     python-coverage,
                     python-iso8601,
                     python-kazoo,
                     python-mock,
                     python-msgpack,
                     python-oslo.utils (>= 1.2.0),
                     python-oslosphinx (>= 2.2.0.0),
                     python-psycopg2,
                     python-pymemcache,
                     python-pymysql (>= 0.6.2),
                     python-redis,
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.1.0),
                     python-sysv-ipc,
                     python-testscenarios,
                     python-testtools,
                     python-zake,
                     python3-babel,
                     python3-iso8601,
                     python3-kazoo,
                     python3-mock,
                     python3-msgpack,
                     python3-oslo.utils (>= 1.2.0),
                     python3-psycopg2,
                     python3-pymemcache,
                     python3-pymysql (>= 0.6.2),
                     python3-redis,
                     python3-retrying,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.1.0),
                     python3-subunit,
                     python3-sysv-ipc,
                     python3-testscenarios,
                     python3-testtools,
                     python3-zake,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-tooz.git
Vcs-Git: git://anonscm.debian.org/openstack/python-tooz.git
Homepage: https://github.com/stackforge/tooz

Package: python-tooz
Architecture: all
Depends: python-babel,
         python-concurrent.futures,
         python-iso8601,
         python-kazoo,
         python-msgpack,
         python-oslo.utils (>= 1.2.0),
         python-pbr,
         python-pymemcache,
         python-pymysql,
         python-redis,
         python-retrying,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.1.0),
         python-zake,
         ${misc:Depends},
         ${python:Depends},
Description: coordination library for distributed systems - Python 2.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 2.x module.

Package: python3-tooz
Architecture: all
Depends: python3-babel,
         python3-iso8601,
         python3-kazoo,
         python3-msgpack,
         python3-oslo.utils (>= 1.2.0),
         python3-pbr,
         python3-pymemcache,
         python3-pymysql,
         python3-redis,
         python3-retrying,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.1.0),
         python3-zake,
         ${misc:Depends},
         ${python3:Depends},
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

Package: python-tooz-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,17 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	chmod +x $(CURDIR)/debian/check-memcached-off $(CURDIR)/debian/check-memcached-runs
 	$(CURDIR)/debian/check-memcached-runs
-	set -ex ; for i in $(PYTHONS) $(PYTHON3S) ; do \
-		python$$i setup.py testr --slowest --testr-args='--subunit ' | subunit2pyunit; \
+	@echo "===> Running tests"
+	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i bash ./debian/setup-tests.sh testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
 	done
 	$(CURDIR)/debian/check-memcached-off
 endif

## python-tooz 1.21.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr<2.0,>=1.3
Babel>=1.3
stevedore>=1.5.0 # Apache-2.0
six>=1.9.0
iso8601>=0.1.9
zake>=0.1.6 # Apache-2.0
msgpack-python>=0.4.0
fasteners>=0.7 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
futures>=3.0;python_version=='2.7' or python_version=='2.6'
futurist>=0.1.2 # Apache-2.0
oslo.utils>=1.9.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0

=== debian/changelog ===
python-tooz (1.21.0-1ubuntu1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 02 Sep 2015 11:47:55 +0000

python-tooz (1.21.0-1ubuntu1) wily; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/control: Drop python{3}-sysv-ipc from BD's, add as Suggests to
      binary packages.
    - d/p/disable-sysv-ipc.patch: Disable ipc unit tests for package build.

 -- James Page <james.page@ubuntu.com>  Tue, 11 Aug 2015 09:37:28 +0100

python-tooz (1.21.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed MySQLd runs in unit tests.
  * Disabled Py3 tests as it fails in concurrent.futures.

 -- Thomas Goirand <zigo@debian.org>  Thu, 06 Aug 2015 07:56:31 +0000

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.3),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.3),
               python3-setuptools,
Build-Depends-Indep: memcached,
                     mysql-server,
                     net-tools,
                     postgresql,
                     postgresql-server-dev-all,
                     python-babel,
                     python-concurrent.futures (>= 3.0),
                     python-coverage,
                     python-eventlet (>= 0.17.4),
                     python-fasteners,
                     python-fixtures (>= 1.3.1),
                     python-futurist,
                     python-iso8601,
                     python-kazoo (>= 2.2),
                     python-mock (>= 1.3),
                     python-msgpack,
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 1.9.0),
                     python-oslosphinx (>= 2.5.0),
                     python-psycopg2,
                     python-pymemcache (>= 1.2.9),
                     python-pymysql (>= 0.6.2),
                     python-redis,
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-zake,
                     python3-babel,
                     python3-eventlet (>= 0.17.4),
                     python3-fasteners,
                     python3-fixtures (>= 1.3.1),
                     python3-futurist,
                     python3-iso8601,
                     python3-kazoo (>= 2.2),
                     python3-mock (>= 1.3),
                     python3-msgpack,
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslo.utils (>= 1.9.0),
                     python3-psycopg2,
                     python3-pymemcache (>= 1.2.9),
                     python3-pymysql (>= 0.6.2),
                     python3-redis,
                     python3-retrying,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-zake,
                     subunit,
                     testrepository,
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-tooz.git
Vcs-Git: git://anonscm.debian.org/openstack/python-tooz.git
Homepage: https://github.com/stackforge/tooz

Package: python-tooz
Architecture: all
Depends: python-babel,
         python-concurrent.futures (>= 3.0),
         python-fasteners,
         python-futurist,
         python-iso8601,
         python-kazoo (>= 2.2),
         python-msgpack,
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 1.9.0),
         python-pbr (>= 1.3),
         python-pymemcache (>= 1.2.9),
         python-pymysql,
         python-redis,
         python-retrying,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         python-zake,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-sysv-ipc,
Description: coordination library for distributed systems - Python 2.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 2.x module.

Package: python3-tooz
Architecture: all
Depends: python3-babel,
         python3-fasteners,
         python3-futurist,
         python3-iso8601,
         python3-kazoo (>= 2.2),
         python3-msgpack,
         python3-oslo.serialization (>= 1.4.0),
         python3-oslo.utils (>= 1.9.0),
         python3-pbr (>= 1.3),
         python3-pymemcache (>= 1.2.9),
         python3-pymysql,
         python3-redis,
         python3-retrying,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         python3-zake,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python3-sysv-ipc,
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

Package: python-tooz-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~),
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	chmod +x $(CURDIR)/debian/check-memcached-off $(CURDIR)/debian/check-memcached-runs
 	$(CURDIR)/debian/check-memcached-runs
 	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
+	set -e ; set -x ; for i in 2.7 ; do \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/t/tooz tooz-(.*).tar.gz

## python-tooz 1.34.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
Babel>=1.3 # BSD
stevedore>=1.5.0 # Apache-2.0
six>=1.9.0 # MIT
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
iso8601>=0.1.9 # MIT
zake>=0.1.6 # Apache-2.0
voluptuous>=0.8.6 # BSD License
msgpack-python>=0.4.0 # Apache-2.0
fasteners>=0.7 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
futurist>=0.11.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
requests!=2.9.0,>=2.8.1 # Apache-2.0

=== debian/changelog ===
python-tooz (1.34.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/control: Drop python{3}-sysv-ipc from BD's, add as Suggests to
      binary packages.
    - d/p/disable-sysv-ipc.patch: Disable ipc unit tests for package build.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Mar 2016 14:30:16 -0400

python-tooz (1.34.0-1) experimental; urgency=medium

  [ Corey Bryant ]
  * d/rules: Enable py3 tests.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Cleans /tmp/groups before running unit tests, which was the reason so that
    Py3 tests were failing.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Mar 2016 16:46:24 +0100

python-tooz (1.29.0-1ubuntu1) xenial; urgency=medium

  * Merge from Debian experimental, remaining changes:
    - d/control: Drop python{3}-sysv-ipc from BD's, add as Suggests to
      binary packages.
    - d/p/disable-sysv-ipc.patch: Disable ipc unit tests for package build.
    - d/rules: Enable py3 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Jan 2016 13:16:33 -0500

python-tooz (1.29.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Jan 2016 02:10:55 +0000

python-tooz (1.21.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed new upsteram VCS and watch file using github not PyPi.
  * Using override_dh_auto_install not dh_install.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 12:16:04 +0000

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: memcached,
                     mysql-server,
                     net-tools,
                     postgresql,
                     postgresql-server-dev-all,
                     python-babel,
                     python-coverage,
                     python-concurrent.futures (>= 3.0),
                     python-enum34,
                     python-eventlet (>= 0.18.4),
                     python-fasteners,
                     python-fixtures (>= 1.3.1),
                     python-futurist (>= 0.11.0),
                     python-iso8601,
                     python-kazoo (>= 2.2),
                     python-mock (>= 1.3),
                     python-msgpack,
                     python-oslo.utils (>= 3.5.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslosphinx (>= 2.5.0),
                     python-psycopg2 (>= 2.5),
                     python-pymemcache (>= 1.2.9),
                     python-pymysql (>= 0.6.2),
                     python-redis,
                     python-requests (>= 2.8.1),
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-voluptuous (>= 0.8.8),
                     python-zake,
                     python3-babel,
                     python3-eventlet (>= 0.18.4),
                     python3-fasteners,
                     python3-fixtures (>= 1.3.1),
                     python3-futurist (>= 0.11.0),
                     python3-iso8601,
                     python3-kazoo (>= 2.2),
                     python3-mock (>= 1.3),
                     python3-msgpack,
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-psycopg2 (>= 2.5),
                     python3-pymemcache (>= 1.2.9),
                     python3-pymysql (>= 0.6.2),
                     python3-redis,
                     python3-requests (>= 2.8.1),
                     python3-retrying,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-voluptuous (>= 0.8.8),
                     python3-zake,
                     subunit,
                     testrepository,
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-tooz.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/python-tooz.git
Homepage: https://github.com/openstack/tooz

Package: python-tooz
Architecture: all
Depends: python-babel,
         python-concurrent.futures (>= 3.0),
         python-enum34,
         python-fasteners,
         python-futurist (>= 0.11.0),
         python-iso8601,
         python-kazoo (>= 2.2),
         python-msgpack,
         python-oslo.utils (>= 3.5.0),
         python-oslo.serialization (>= 1.10.0),
         python-pbr (>= 1.8),
         python-pymemcache (>= 1.2.9),
         python-pymysql,
         python-redis,
         python-requests (>= 2.8.1),
         python-retrying,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         python-voluptuous (>= 0.8.8),
         python-zake,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-sysv-ipc,
Description: coordination library for distributed systems - Python 2.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 2.x module.

Package: python3-tooz
Architecture: all
Depends: python3-babel,
         python3-fasteners,
         python3-futurist (>= 0.11.0),
         python3-iso8601,
         python3-kazoo (>= 2.2),
         python3-msgpack,
         python3-oslo.utils (>= 3.5.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-pbr (>= 1.8),
         python3-pymemcache (>= 1.2.9),
         python3-pymysql,
         python3-redis,
         python3-requests (>= 2.8.1),
         python3-retrying,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         python3-voluptuous (>= 0.8.8),
         python3-zake,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python3-sysv-ipc,
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

Package: python-tooz-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
-UPSTREAM_GIT = git://github.com/stackforge/tooz.git
+UPSTREAM_GIT = git://github.com/openstack/tooz.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 export OSLO_PACKAGE_VERSION=$(VERSION)
@@ -11,12 +11,12 @@
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
-override_dh_install:
-	set -e && for pyvers in $(PYTHONS); do \
+override_dh_auto_install:
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-tooz; \
 	done
-	set -e && for pyvers in $(PYTHON3S); do \
+	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-tooz; \
 	done
@@ -29,7 +29,8 @@
 	chmod +x $(CURDIR)/debian/check-memcached-off $(CURDIR)/debian/check-memcached-runs
 	$(CURDIR)/debian/check-memcached-runs
 	@echo "===> Running tests"
-	set -e ; set -x ; for i in 2.7 ; do \
+	set -e ; set -x ; for i in 2.7 ${PYTHON3S} ; do \
+		rm -rf /tmp/groups ; \
 		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
 		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
 		rm -rf .testrepository ; \

=== debian/watch ===
version=3
https://github.com/openstack/tooz/tags .*/(\d[\d\.]+)\.tar\.gz

## python-tooz 1.40.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0
stevedore>=1.10.0 # Apache-2.0
six>=1.9.0 # MIT
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
voluptuous>=0.8.9 # BSD License
msgpack-python>=0.4.0 # Apache-2.0
fasteners>=0.7 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
futures>=3.0;python_version=='2.7' or python_version=='2.6' # BSD
futurist>=0.11.0 # Apache-2.0
oslo.utils>=3.11.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0

=== debian/changelog ===
python-tooz (1.40.0-4) unstable; urgency=medium

  * Bumped debhelper compat version to 10
  * B-D on default-mysql-server instead of mysql-server (Closes: #848290).

 -- Ondřej Nový <onovy@debian.org>  Thu, 24 Nov 2016 00:12:04 +0100

python-tooz (1.40.0-3) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:15:43 +0200

python-tooz (1.40.0-2) experimental; urgency=medium

  [ Corey Bryant ]
  * d/control: Add python(3)-sysv-ipc to Suggests.

  [ Thomas Goirand ]
  * Using OpenStack's Gerrit as VCS URLs.
  * Point .gitreview to packaging-deb Gerrit.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Sep 2016 08:57:51 +0200

python-tooz (1.40.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Using pkgos-dh_auto_{test,install} from openstack-pkg-tools >= 52~.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 13:01:52 +0200

python-tooz (1.34.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:19:25 +0000

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: memcached,
                     default-mysql-server | mysql-server,
                     net-tools,
                     postgresql,
                     postgresql-server-dev-all,
                     python-coverage,
                     python-concurrent.futures (>= 3.0),
                     python-enum34,
                     python-eventlet (>= 0.18.4),
                     python-fasteners,
                     python-fixtures (>= 3.0.0),
                     python-futurist (>= 0.11.0),
                     python-kazoo (>= 2.2),
                     python-mock (>= 2.0),
                     python-msgpack,
                     python-oslo.utils (>= 3.11.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslosphinx (>= 2.5.0),
                     python-psycopg2 (>= 2.5),
                     python-pymemcache (>= 1.2.9),
                     python-pymysql (>= 0.6.2),
                     python-redis,
                     python-requests (>= 2.10.0),
                     python-retrying,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.10.0),
                     python-sysv-ipc,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-voluptuous (>= 0.8.9),
                     python-zake,
                     python3-eventlet (>= 0.18.4),
                     python3-fasteners,
                     python3-fixtures (>= 3.0.0),
                     python3-futurist (>= 0.11.0),
                     python3-kazoo (>= 2.2),
                     python3-mock (>= 2.0),
                     python3-msgpack,
                     python3-oslo.utils (>= 3.11.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-psycopg2 (>= 2.5),
                     python3-pymemcache (>= 1.2.9),
                     python3-pymysql (>= 0.6.2),
                     python3-redis,
                     python3-requests (>= 2.10.0),
                     python3-retrying,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.10.0),
                     python3-subunit,
                     python3-sysv-ipc,
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-voluptuous (>= 0.8.9),
                     python3-zake,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-tooz?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-tooz -b debian/newton
Homepage: https://github.com/openstack/tooz

Package: python-tooz
Architecture: all
Depends: python-concurrent.futures (>= 3.0),
         python-enum34,
         python-fasteners,
         python-futurist (>= 0.11.0),
         python-kazoo (>= 2.2),
         python-msgpack,
         python-oslo.utils (>= 3.11.0),
         python-oslo.serialization (>= 1.10.0),
         python-pbr (>= 1.8),
         python-pymemcache (>= 1.2.9),
         python-pymysql,
         python-redis,
         python-requests (>= 2.10.0),
         python-retrying,
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         python-voluptuous (>= 0.8.9),
         python-zake,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-sysv-ipc,
Description: coordination library for distributed systems - Python 2.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 2.x module.

Package: python3-tooz
Architecture: all
Depends: python3-fasteners,
         python3-futurist (>= 0.11.0),
         python3-kazoo (>= 2.2),
         python3-msgpack,
         python3-oslo.utils (>= 3.11.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-pbr (>= 1.8),
         python3-pymemcache (>= 1.2.9),
         python3-pymysql,
         python3-redis,
         python3-requests (>= 2.10.0),
         python3-retrying,
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         python3-voluptuous (>= 0.8.9),
         python3-zake,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python3-sysv-ipc,
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

Package: python-tooz-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.
